## SYNOPSIS

           pidof [-s] [-x] [-o omitpid] [-o omitpid..]  program [pro
           gram..]

## DESCRIPTION

           Pidof finds the process id's (pids) of the named programs.
           It  prints those id's on the standard output. This program
           is on some systems used in run-level change scripts, espe
           cially  when  the system has a System-V like rc structure.
           In that case these  scripts  are  located  in  /etc/rc?.d,
           where  ?  is the runlevel. If the system has a start-stop-
           daemon (8) program that should be used instead.

## OPTIONS

           -s     Single shot - this instructs the  program  to  only
                  return one pid.

           -x     Scripts  too  -  this  causes  the  program to also
                  return process id's of  shells  running  the  named
                  scripts.

           -o     Tells pidof to omit processes with that process id.
                  The special pid %PPID can be used to name the  par
                  ent  process  of  the pidof program, in other words
                  the calling shell or shell script.

## NOTES

           pidof is simply a (symbolic) link to the killall5 program,
           which should also be located in /sbin.

           When  pidof is invoked with a full pathname to the program
           it should find the pid of, it is reasonably  safe.  Other
           wise  it  is possible that it returns pids of running pro
           grams that happen to have the same  name  as  the  program
           you're after but are actually other programs.

## SEE ALSO

           pidofproc(8), shutdown(8), init(8), halt(8), reboot(8)

## AUTHOR

           Miquel van Smoorenburg, miquels@cistron.nl

                               01 Sep 1998                   PIDOF(8)